#
# spec file for package xapian-bindings (Version 1.0.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           xapian-bindings
Version:        1.0.4
Release:        1.7
#
Group:          Development/Languages/Misc
License:        GPL
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xapian-core-devel = %{version}
BuildRequires:  java-devel mono-devel php5-devel pkgconfig python-devel ruby-devel tcl-devel update-alternatives
%define php_extension_dir %(php-config --extension-dir)
Requires:       xapian-core-libs = %{version}
#
Url:            http://www.xapian.org/
Source:         http://www.oligarchy.co.uk/xapian/%{version}/%{name}-%{version}.tar.gz
#
Summary:        Bindings for xapian
%description
Xapian is an Open Source Probabilistic Information Retrieval Library. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications.

%package -n python-xapian
Group:          Development/Libraries/Python
Requires:       %{name} = %{version}
%py_requires
#
Summary:        Files needed for developing Python scripts which use Xapian.
%description -n python-xapian
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for developing Python scripts which use Xapian.

%package -n php-xapian
Group:          Productivity/Networking/Web/Servers
Requires:       %{name} = %{version}, php5
#
Summary:        Files needed for developing PHP scripts which use Xapian.
%description -n php-xapian
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for developing PHP scripts which use Xapian.

%package -n ruby-xapian
Group:          Development/Languages/Ruby
Requires:       %{name} = %{version}, ruby
#
Summary:        Files needed for developing Ruby scripts which use Xapian.
%description -n ruby-xapian
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for developing Ruby scripts which use Xapian.

%package -n tcl8-xapian
Group:          Development/Libraries/TCL
Requires:       %{name} = %{version}, tcl
#
Summary:        Files needed for developing TCL scripts which use Xapian.
%description -n tcl8-xapian
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for developing TCL scripts which use Xapian.

%package -n csharp-xapian
Group:          Development/Languages/Other
#
Requires:       %{name} = %{version}, mono-core
Summary:        Files needed for developing C# applications which use Xapian.
%description -n csharp-xapian
Xapian is an Open Source Probabilistic Information Retrieval framework. It
offers a highly adaptable toolkit that allows developers to easily add advanced
indexing and search facilities to applications. This package provides the
files needed for developing C# applications which use Xapian.

%debug_package
%prep
%setup

%build
%configure        \
    --with-swig   \
    --with-python \
    --with-php    \
    --with-ruby   \
    --with-tcl    \
    --with-csharp
%{__make}

%install
%makeinstall docdatadir=%{_docdir}/%{name}
for dir in csharp php python ruby tcl8 ; do
  %{__mv} -v %{buildroot}%{_datadir}/doc/xapian-bindings/$dir \
             %{buildroot}%{_docdir}/%{name}/$dir
done
%{__install} -m 0644 AUTHORS COPYING ChangeLog HACKING NEWS README TODO \
    %{buildroot}%{_docdir}/%{name}/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%dir %{_docdir}/%{name}/
%doc %{_docdir}/%{name}/index.html
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/ChangeLog
%doc %{_docdir}/%{name}/HACKING
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/TODO

%files -n python-xapian
%defattr(-, root, root)
%{py_sitedir}/_xapian.so
%{py_sitedir}/xapian.py*
%doc %{_docdir}/%{name}/python/

%files -n php-xapian
%defattr(-, root, root)
%{php_extension_dir}/xapian.so
%doc %{_docdir}/%{name}/php/
%{_datadir}/php5/xapian.php

%files -n ruby-xapian
%defattr(-, root, root)
%{_libdir}/ruby/site_ruby/%{rb_ver}/%{rb_arch}/_xapian.so
%{_libdir}/ruby/site_ruby/%{rb_ver}/xapian.rb
%doc %{_docdir}/%{name}/ruby/

%files -n tcl8-xapian
%defattr(-, root, root)
%{_datadir}/tcl/xapian%{version}/
%doc %{_docdir}/%{name}/tcl8/

%files -n csharp-xapian
%defattr(-, root, root)
%{_libdir}/XapianSharp.la
%{_libdir}/XapianSharp.so
%dir %{_libdir}/mono/
%{_libdir}/mono/XapianSharp/
%dir %{_libdir}/mono/gac/
%{_libdir}/mono/gac/XapianSharp/
%doc %{_docdir}/%{name}/csharp/

%changelog
* Tue Nov 20 2007 mrueckert@suse.de
- updated java build requires
* Tue Nov 20 2007 mrueckert@suse.de
- fixed filelist
* Mon Nov 19 2007 mrueckert@suse.de
- update to version 1.0.4
* Sun Jun 24 2007 mrueckert@suse.de
- update to version 1.0.1
* Sat Nov 11 2006 mrueckert@suse.de
- initial package of version 0.9.9
